<meta charset="utf-8">
<div class="plc device-statement ">
    <div class="plc-menu">
        设备实时看板
    </div>


    <div class="real-time-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">

        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <label class="horizon-label label-6">生产区域：</label>
                            <!--<div class="horizon-group horizon-col-1-2">-->
                            <!--<ui-select class="andon-content-ui-select" ng-change="workCenterChanged('T');"-->
                            <!--ng-model="statementConfig.currentWorkCenter">-->
                            <!--<ui-select-match placeholder="-&#45;&#45; 请选择 -&#45;&#45;">-->
                            <!--<span ng-bind="statementConfig.currentWorkCenter.description"></span>-->
                            <!--</ui-select-match>-->
                            <!--<ui-select-no-choice>-->
                            <!--<a href ng-click="$select.toggle($event);">暂无数据</a>-->
                            <!--</ui-select-no-choice>-->
                            <!--<ui-select-choices-->
                            <!--repeat="item in (statementConfig.workCenters | filter: $select.search) track by $index">-->
                            <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                            <!--</ui-select-choices>-->
                            <!--</ui-select>-->
                            <!--</div>-->
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"
                                           ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()"
                                           ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()"
                                       ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')"
                                       ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>

                            <!--<label class="horizon-label label-2">拉线：</label>-->
                            <!--<div class="horizon-group horizon-col-1-2">-->
                            <!--<ui-select multiple class="andon-content-ui-select"-->
                            <!--ng-change="lineChanged('T');"-->
                            <!--ng-model="statementConfig.currentLine">-->
                            <!--<ui-select-match placeholder="-&#45;&#45; 请选择 -&#45;&#45;">-->
                            <!--<span ng-bind="$item.description"></span>-->
                            <!--</ui-select-match>-->
                            <!--<ui-select-no-choice>-->
                            <!--<a href ng-click="$select.toggle($event);">-->
                            <!--<span ng-click="tipSelectClick('line');" ng-if="!statementConfig.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>-->
                            <!--<span ng-if="!!statementConfig.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>-->
                            <!--</a>-->
                            <!--</ui-select-no-choice>-->
                            <!--<ui-select-choices repeat="item in (statementConfig.lines | filter: $select.search) track by $index">-->
                            <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                            <!--</ui-select-choices>-->
                            <!--</ui-select>-->
                            <!--</div>-->

                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLine">*</span>拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>


                            <label class="horizon-label label-6">设备类型：</label>
                            <!--<div class="horizon-group horizon-col-1-2">-->

                            <!--<ui-select class="andon-content-ui-select" ng-change="deviceTypeChanged('T');"-->
                            <!--ng-model="statementConfig.currentDeviceType">-->
                            <!--<ui-select-match placeholder="-&#45;&#45; 请选择 -&#45;&#45;">-->
                            <!--&lt;!&ndash;statementConfig.currentDeviceType.resourceType ||&ndash;&gt;-->
                            <!--<span ng-bind="statementConfig.currentDeviceType.description"></span>-->
                            <!--</ui-select-match>-->
                            <!--<ui-select-no-choice>-->
                            <!--<a href ng-click="$select.toggle($event);">暂无数据</a>-->
                            <!--</ui-select-no-choice>-->
                            <!--<ui-select-choices-->
                            <!--repeat="item in (statementConfig.deviceTypes | filter: $select.search) track by $index">-->
                            <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                            <!--</ui-select-choices>-->
                            <!--</ui-select>-->
                            <!--</div>-->
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper"
                                     ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc"
                                           ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>

                            <!--<label class="horizon-label label-4">设备编码：</label>-->
                            <!--<div class="horizon-group horizon-col-1-2">-->

                            <!--<ui-select multiple ng-init="config.$deviceNumSelect = $select" class="andon-ui-mutiply-select" ng-placeholder="请输入"  ng-model="statementConfig.multipleCurrentDeviceNum">-->
                            <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                            <!--<span ng-bind="$item.description"></span>-->
                            <!--</ui-select-match>-->
                            <!--<ui-select-no-choice>-->
                            <!--<a href ng-click="$select.toggle($event);">-->
                            <!--<span ng-if="!statementConfig.currentWorkCenter.workCenter " class="no-action-color">请先选择生产区域</span>-->
                            <!--<span ng-if="!!statementConfig.currentWorkCenter.workCenter" class="no-data-color">暂无设备号</span>-->
                            <!--</a>-->
                            <!--</ui-select-no-choice>-->
                            <!--<ui-select-choices repeat="item in (statementConfig.deviceNums | filter: $select.search) track by $index">-->
                            <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                            <!--</ui-select-choices>-->
                            <!--</ui-select>-->
                            <!--</div>-->
                            <label class="horizon-label label-6"><span class="text-red"
                                                                       ng-if="config.showDevice">*</span>设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.multipleCurrentDeviceNum" ng-change="enableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.deviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                                </div>
                            </div>

                            <div class="horizon-btns">
                                <button type="submit" class="btn btn-primary" ng-disabled="statementConfig.queryBtn" ng-click="queryDatas();">查询
                                </button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>

    </div>
    <move-template></move-template>
    <!--<div class="plc-content" ng-if="config.showTable">-->
        <!--<form class="form-horizontal" role="form">-->
            <!--<div class="row statement-title">-->
                <!--<div class="col-sm-3 col-xs-3" >-->
                    <!--<label class="control-label label-title">生产区域：{{config.workCenter}}</label>-->
                <!--</div>-->
                <!--<div class="col-sm-4 col-xs-4" ng-if="config.showLineDesc" >-->
                    <!--<label class="control-label label-title">拉线：{{config.line}}</label>-->
                <!--</div>-->
                <!--<div class="col-sm-5 col-xs-5" ng-if="config.showDeviceDesc" >-->
                    <!--<label class="control-label label-title">设备类型：{{config.deviceTypeDesc}}</label>-->
                <!--</div>-->
            <!--</div>-->
        <!--</form>-->
    <!--</div>-->
    <!-- <uib-modal-backdrop >fdsfsd</uib-modal-backdrop> -->
    <!-- <uib-modal-window uib-modal-animation-class>.............</uib-modal-window> -->

    <!--<div class="row yield-maintain"  ng-if="netInfoGridOptions.data.length>0">-->
        <!--<div class="col-sm-12 text-left ">-->
            <!--<div class="textFont">总记录数:{{config.dataNum}}</div>-->
        <!--</div>-->
    <!--</div>-->
    <div class="plc-content" ng-if="config.showTable">
        <form class="form-horizontal" role="form">
            <div class="row statement-title">
                <div class="col-sm-3 col-xs-3" style="width: 65%">
                    <label class="control-label label-title">总记录数:{{config.dataNum}}</label>
                </div>
                <div class="col-sm-3 col-xs-3" ng-if="config.showLineDesc">
                </div>
                <div class="col-sm-3 col-xs-3" ng-if="config.showDeviceDesc">
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                        <i class="fa fa-cog"></i>
                        <div class="px-public-hide-col">显示隐藏列
                        </div>
                    </div>
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <i class="fa fa-table"></i>
                    <div ng-click="showDataDescription()" class="px-public-hide-inline">
                        <div class="px-public-hide-col" style="padding-left: 2px;">数据说明
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div id="grid" style="height: 400px" ng-if="netInfoGridOptions.data.length>0" ui-grid="netInfoGridOptions" ui-grid-auto-resize ui-grid-resize-columns></div>
</div>